Name:           python3-qface
Version:        2.0.3
Release:        1%{?dist}
Summary:        Qt Interface Builder
BuildArch: noarch

License:        MIT
URL:            https://github.com/Pelagicore/qface
Source0:        https://github.com/Pelagicore/qface/archive/refs/tags/2.0.3.tar.gz
Patch0:         qface-jinja-fix.patch
Patch1:         qface-requires.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires: python3-antlr4-runtime
Requires: python3-click
Requires: python3-coloredlogs
Requires: python3-jinja2
Requires: python3-path
Requires: python3-pyyaml
Requires: python3-setuptools
Requires: python3-six
Requires: python3-watchdog

%description
QFace is a generator framework based on a common modern IDL. It is not
a generator as such but enforces a common IDL format and provides a
library to write your own generator. It is actually very easy to
create your own generator and generate your custom solution based on
your needs from the same IDL.

%prep
%setup -q -n qface-%{version}
%patch0 -p1
%patch1 -p1
# This has == dependencies which is a bit harsh, lets make them >=
sed -i "s@==@>=@g" setup.py

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/qface

%changelog
* Wed Apr 28 2021 Alexander Larsson <alexl@redhat.com> - 2.0.3-1
- Initial version
